# How To List All Key Pair

## Goal

List all key pairs.

## Before you begin

* Install the currently supported version of `cleos`.
* Understand the following:
  * What is a [public](https://docs.cyberway.io/users/glossary#public-key) and [private](https://docs.cyberway.io/users/glossary#private-key) key pair.

## Steps

Unlock your wallet

```bash
$ cleos wallet unlock
```

List all public keys:

```bash
$ cleos wallet keys
```

List all private keys:

```bash
$ cleos wallet private_keys
```

You can enter the password directly on the command line by adding the `--password` option:

```bash
$ cleos wallet unlock --password PW5...3RwP2
```

> **Be careful**\
> Never use your private keys in a production enviroment!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/list_all_key_pair.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
